=== debian/changelog ===
bdii (6.0.3-1) unstable; urgency=medium

  * Version 6.0.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 28 Jun 2024 18:26:58 +0200

bdii (6.0.2-1) unstable; urgency=medium

  * Version 6.0.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 17 Jun 2024 10:14:01 +0200

bdii (6.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:05:19 +0200
